# Class Dirent

java.lang.Object
com.redhat.et.libguestfs.Dirent

public class Dirent extends Object
Dirent structure.

See Also:
  - `GuestFS`

## Field Summary

Fields
Modifier and Type
Field
Description
`char`
`ftyp`
`long`
`ino`
`String`
`name`

## Constructor Summary

Constructors
Constructor
Description
`Dirent()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ino

public long ino

### ftyp

public char ftyp

### name

public String name

## Constructor Details

### Dirent

public Dirent()